input[type=date]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  display: none;
}

.select2.select2-container{
  width: -webkit-fill-available !important;
  font-size: 14px !important;
}

.autocomplete {
  display: inline-block;
}
.autocomplete-items {
  position: absolute;
  border: 1px solid #d4d4d4;
  border-bottom: none;
  border-top: none;
  z-index: 99;
  /*position the autocomplete items to be the same width as the container:*/
  top: 100%;
  left: 15px;
  right: 15px;
}
.autocomplete-items div {
  padding: 10px;
  cursor: pointer;
  background-color: #fff; 
  border-bottom: 1px solid #d4d4d4; 
}
.autocomplete-items div:hover {
  /*when hovering an item:*/
  background-color: #e9e9e9; 
}
.autocomplete-active {
  /*when navigating through the items using the arrow keys:*/
  background-color: DodgerBlue !important; 
  color: #ffffff; 
}

.minimized {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.ws-nw {
  white-space: nowrap;
}
.w1 {
  width: 1% !important;
}
.wfull {
  width: 100% !important;   
}
.w40 {
  width: 40px !important;
}
.w45 {
  width: 45px !important;
}
.w50 {
  width: 50px !important;
}
.w60 {
  width: 60px !important;
}
.w65 {
  width: 65px !important;
}
.w70 {
  width: 70px !important;
}
.w75 {
  width: 75px !important;
}
.w80 {
  width: 80px !important;
}
.w85 {
  width: 85px !important;
}
.w90 {
  width: 90px !important;
}
.w95 {
  width: 95px !important;
}
.w100 {
  width: 100px !important;
}
.w110 {
  width: 110px !important;
}
.w120 {
  width: 120px !important;
}
.w140 {
  width: 140px !important;
}
.w150 {
  width: 150px !important;
}
.w160 {
  width: 160px !important;
}
.w200 {
  width: 200px !important;
}
.w280 {
  width: 280px !important;
}
.w300 {
  width: 300px !important;
}
.mw500 {
  max-width: 500px !important;
}
.width-inherit {
  width: inherit;
}
.width-fill {
  width: -webkit-fill-available;
}
.width-auto {
  width: auto !important;
}

.height-inherit {
  height: inherit;
}
.height-fill {
  height: -webkit-fill-available;
}
.height-100vh {
  height: 99vh;
}

.va-m {
  vertical-align: -webkit-baseline-middle;
}

.m-0 {
  margin: 0px !important;
}
.m-1 {
  margin: 1px;
}
.m-6 {
  margin: 6px;
}

.mt-0 {
  margin-top: 0px;
}
.mt-5 {
  margin-top: 5px;
}
.mt-10 {
  margin-top: 10px;
}
.mt-15 {
  margin-top: 15px;
}
.mt-18 {
  margin-top: 18px;
}
.mt-20 {
  margin-top: 20px;
}
.mt-25 {
  margin-top: 25px;
}
.mt-30 {
  margin-top: 30px;
}
.mt-50 {
  margin-top: 50px;
}
.mb-0 {
  margin-bottom: 0px;
}
.mb-10 {
  margin-bottom: 10px;
}
.mb-20 {
  margin-bottom: 20px;
}
.mb-25 {
  margin-bottom: 25px;
}
.ml-10 {
  margin-left: 10px;
}
.ml-25 {
  margin-left: 25px;
}
.mr-10 {
  margin-right: 10px;
}
.mr-15 {
  margin-right: 15px;
}

.p-0 {
  padding: 0px !important;
}
.p-5 {
  padding: 5px !important;
}
.p-7 {
  padding: 7px !important;
}
.pt-0 {
  padding-top: 0px !important;
}
.pt-10 {
  padding-top: 10px !important;
}
.pt-19 {
  padding-top: 19px !important;
}
.pt-20 {
  padding-top: 20px !important;
}
.pt-22 {
  padding-top: 22px !important;
}
.pt-27 {
  padding-top: 27px !important;
}
.pt-43 {
  padding-top: 43px !important;
}
.pl-0 {
  padding-left: 0px !important;
}
.pl-5 {
  padding-left: 5px;
}
.pr-0 {
  padding-right: 0px;
}
.pr-5 {
  padding-right: 5px;
}
.pr-10 {
  padding-right: 10px;
}
.pr-15 {
  padding-right: 15px !important;
}
.pb-0 {
  padding-bottom: 0px !important;
}
.pb-10 {
  padding-bottom: 10px !important;
}
.pb-20 {
  padding-bottom: 20px !important;
}

.alert.alert-default {
  border: 1px solid;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

.minimized_text {            
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 220px;
}

.bk_default {
  color: black !important;
  background-color: #77777770 !important;
}
.bk_primary {
  color: black !important;
  background-color: #337ab79e !important;
  border-color: #F7F7F7 !important;
}
.bk_success {
  color: black !important;
  background-color: #acdaaf73 !important;
  border-color: #F7F7F7 !important;
}
.bk_danger {
  color: black !important;
  background-color: #ff9794b3 !important;
  border-color: #F7F7F7 !important;
}
.bk_warning{
  color: black !important;
  background-color: #f5edb4 !important;
  border-color: #F7F7F7 !important;
}
.bk_info {
  color: black !important;
  background-color: #b2edffc2 !important;
  border-color: #F7F7F7 !important;
}
.x_panel {
  position: relative;
  width: 100%;
  margin-bottom: 10px;
  padding: 10px 17px;
  display: inline-block;
  background: #fff;
  border: 1px solid #E6E9ED;
  -webkit-column-break-inside: avoid;
  -moz-column-break-inside: avoid;
  column-break-inside: avoid;
  opacity: 1;
  transition: all .2s ease;
}
.x_title {
  border-bottom: 2px solid #E6E9ED;
  padding-bottom: 6px;
  margin-bottom: 10px;
}
.x_title h2, .x_title h3 {
  margin: 5px 0 6px;
  float: left;
  display: block;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}
.x_footer {
  border-top: 2px solid #E6E9ED;
  padding-top: 10px;
  margin-top: 10px;
}

#sumatoria > div {
  display: flex;
}

.center.modal-dialog {
  height: 80vh !important;
  display: flex;
}
.center.modal-content {
  margin: auto !important;
  height: fit-content !important;
}

.flex {
  display: flex !important;
}
.fill-content {
  width: -webkit-fill-available;
}
.fit-content {
  width: fit-content;
}

label.label.label-o {
  background-color: #fff;
  border: 1px solid black;
  color: black;
}
label.label {
  font-weight: unset;
  border-radius: 0px;
}

.font-1 {
  font-size: 1em;
}
.font-1e5 {
  font-size: 1.5em;
}
.font-2 {
  font-size: 2em;
}
.font-3 {
  font-size: 3em;
}
.font-med{
  font-size: 11px;
}
.font-10 {
  font-size: 10px;
}
.font-12 {
  font-size: 12px;
}
.font-15 {
  font-size: 15px;
}
.font-18 {
  font-size: 18px;
}
.font-20 {
  font-size: 20px;
}
.font-23 {
  font-size: 23px;
}
.font-25 {
  font-size: 25px;
}
.font-30 {
  font-size: 30px;
}
.font-bold {
  font-weight: bold;
}
.font-xxx-large {
  font-size: xxx-large;
}

.modal.modal-center {
  text-align: center;
  padding: 0!important;
}

.modal.modal-center:before {
  content: '';
  display: inline-block;
  height: 100%;
  vertical-align: middle;
  margin-right: -4px;
}

.modal-dialog.modal-center {
  display: inline-block;
  text-align: left;
  vertical-align: middle;
}

.modal-xs {
  width: 250px;
}

.color-verde {
  background-color: rgb(26, 255, 26);
  color: grey;
}
.color-rojo {
  background-color: rgb(255, 51, 0);
  color: rgb(255, 255, 255);
}
.color-gris {
  background-color: rgb(230, 230, 230);
  color: grey;
}
.color-lila {
  color: #ec6ffb;
}

.text-white {
  color: white !important;
}

.label-igf {
  background-color: #FE9A2E;
  color: #202F42;
  padding: 4px;
}
label {
  font-weight: unset !important;
}

.inline-box {
  display: -webkit-inline-box;
}
.webkit-box {
  display: -webkit-box;
}

@media (min-width: 768px ) {
  .row.bottom-align {
    position: relative;
  }

  .bottom-align-text {
    position: absolute;
    bottom: 0;
    right: 0;
  }
}

[data-notify="message"], .main-sidebar {
  font-size: 14px;
}


body {
  font-size: 14px !important;
}

.stroke {
  -webkit-text-stroke: black;
  -webkit-text-stroke-width: 1px;
}

.cursor-pointer {
  cursor: pointer;
}


@media (max-width: 768px) {
  .m-xs-t25 {
    margin-top: 25px;
  }
}
@media (min-width: 768px) {
  .d-sm-flex {
    display: flex;
  }
  .m-sm-l25 {
    margin-left: 25px;
  }
  .width-sm-auto {
    width: auto !important;
  }
  .width-mc {
    width: min-content;
  }
}
.vertical-align-m {
  vertical-align: middle !important;
}

/*IMAGEN RENDICION*/

/* Style the Image Used to Trigger the Modal */
#img {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

#img:hover {opacity: 0.7;}

/* The Modal (background) */
.modal.rendicion {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 9999999999999999999999999999999999999999999999999999; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content.rendicion {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
}

/* Caption of Modal Image (Image Text) - Same Width as the Image */
#caption {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 700px;
  text-align: center;
  color: #ccc;
  padding: 10px 0;
  height: 150px;
}

/* Add Animation - Zoom in the Modal */
.modal-content.rendicion, #caption {
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform:scale(0)}
  to {transform:scale(1)}
}

/* The Close Button */
.close.rendicion {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close.rendicion:hover,
.close.rendicion:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* 100% Image Width on Smaller Screens */
@media only screen and (max-width: 700px){
  .modal-content.rendicion {
    width: 100%;
  }
}

.table-borderless > tbody > tr > td,
.table-borderless > tbody > tr > th,
.table-borderless > tfoot > tr > td,
.table-borderless > tfoot > tr > th,
.table-borderless > thead > tr > td,
.table-borderless > thead > tr > th {
  border: none;
}

.min-content {
  width: min-content;
}

input[type=text].input-sm, input[type=date].input-sm {
  height: unset;
  padding: unset;
  padding-left: 5px; 
  padding-right: 5px;
  line-height: unset !important;
}
input[type=number].input-sm {
  height: unset;
  padding: unset;
  padding-left: 5px; 
  padding-right: 5px; 
  text-align: right;
}
select.input-sm {
  height: unset !important;
  padding: unset !important;
  padding-left: 5px !important;
  padding-right: 5px !important;
  font-size: 12px !important;
}

.col-sm-2-5 {
  width: 20% !important;
}

.color_gray {
    color: #a2a2a2;
}